Не удалось установить поддерживаемое ARKit приложение в iPhone 6, но демонстрационное приложение Apple успешно работает на том же iphone - ios


1

Когда я пытаюсь установить поддерживаемое ARKit приложение в iPhone 6, его высказывание требует возможности "arkit", которая не поддерживается вашим iPhone, а затем как демонстрационное приложение ARKit, предоставляемое Apple, работает на одном iPhone.

Источник
  •  22
  •  4
  • 9 мар 2020 2020-03-09 01:04:14

4 ответа

0

Для ARKit 3

Окклюзия людей и использование захвата движения, одновременной фронтальной и задней камеры и отслеживания нескольких лиц поддерживаются на устройствах с чипами A12/A12X Bionic, ANE и камерой TrueDepth.

Это означает, что новые функции ARKit 3 будут поддерживаться iPhone XR и более поздними моделями.

3

Это модели iPhone, поддерживаемые ARKit. ARKit предназначен для iPhones и iPad, которые используют процессоры A9, A10 и A11.

  1. iPhone 6s
  2. iPhone 6s Plus
  3. iPhone SE
  4. IPAD (2017)
  5. iPhone 7
  6. iPhone 7 Plus
  7. iPhone 8
  8. iPhone 8 Plus
  9. iPhone X
  • 9 мар 2020 2020-03-09 01:04:16
5

на WWDC 2017, Apple официально объявила, что минимальное устройство, необходимое для работы ARKit, - iPhone 6S

7

У меня был аналогичный вопрос, хотя цель была другая. Надеюсь, этот ответ поможет кому-то:

Если у вас есть iPhone, который вышел до iPhone 6S, он не будет работать. Однако у вас может быть приложение с ARKit, если вы удалите UIRequiredDeviceCapabilities из UIRequiredDeviceCapabilities. Таким образом, вы можете бежать (хотя вы ничего не увидите). Это позволяет вам иметь приложение с ARKit в качестве бонуса (и включать или отключать только кнопку, если ARKit можно использовать)